
_category_map = {
    'n02672831': 0, 'n02691156': 1, 'n02219486': 2, 'n02419796': 3, 'n07739125': 4,
    'n02454379': 5, 'n07718747': 6, 'n02764044': 7, 'n02766320': 8, 'n02769748': 9,
    'n07693725': 10, 'n02777292': 11, 'n07753592': 12, 'n02786058': 13, 'n02787622': 14,
    'n02799071': 15, 'n02802426': 16, 'n02807133': 17, 'n02815834': 18, 'n02131653': 19,
    'n02206856': 20, 'n07720875': 21, 'n02828884': 22, 'n02834778': 23, 'n02840245': 24,
    'n01503061': 25, 'n02870880': 26, 'n02883205': 27, 'n02879718': 28, 'n02880940': 29,
    'n02892767': 30, 'n07880968': 31, 'n02924116': 32, 'n02274259': 33, 'n02437136': 34,
    'n02951585': 35, 'n02958343': 36, 'n02970849': 37, 'n02402425': 38, 'n02992211': 39,
    'n01784675': 40, 'n03000684': 41, 'n03001627': 42, 'n03017168': 43, 'n03062245': 44,
    'n03063338': 45, 'n03085013': 46, 'n03793489': 47, 'n03109150': 48, 'n03128519': 49,
    'n03134739': 50, 'n03141823': 51, 'n07718472': 52, 'n03797390': 53, 'n03188531': 54,
    'n03196217': 55, 'n03207941': 56, 'n02084071': 57, 'n02121808': 58, 'n02268443': 59,
    'n03249569': 60, 'n03255030': 61, 'n03271574': 62, 'n02503517': 63, 'n03314780': 64,
    'n07753113': 65, 'n03337140': 66, 'n03991062': 67, 'n03372029': 68, 'n02118333': 69,
    'n03394916': 70, 'n01639765': 71, 'n03400231': 72, 'n02510455': 73, 'n01443537': 74,
    'n03445777': 75, 'n03445924': 76, 'n07583066': 77, 'n03467517': 78, 'n03483316': 79,
    'n03476991': 80, 'n07697100': 81, 'n03481172': 82, 'n02342885': 83, 'n03494278': 84,
    'n03495258': 85, 'n03124170': 86, 'n07714571': 87, 'n03513137': 88, 'n02398521': 89,
    'n03535780': 90, 'n02374451': 91, 'n07697537': 92, 'n03584254': 93, 'n01990800': 94,
    'n01910747': 95, 'n01882714': 96, 'n03633091': 97, 'n02165456': 98, 'n03636649': 99,
    'n03642806': 100, 'n07749582': 101, 'n02129165': 102, 'n03676483': 103, 'n01674464': 104,
    'n01982650': 105, 'n03710721': 106, 'n03720891': 107, 'n03759954': 108, 'n03761084': 109,
    'n03764736': 110, 'n03770439': 111, 'n02484322': 112, 'n03790512': 113, 'n07734744': 114,
    'n03804744': 115, 'n03814639': 116, 'n03838899': 117, 'n07747607': 118, 'n02444819': 119,
    'n03908618': 120, 'n03908714': 121, 'n03916031': 122, 'n00007846': 123, 'n03928116': 124,
    'n07753275': 125, 'n03942813': 126, 'n03950228': 127, 'n07873807': 128, 'n03958227': 129,
    'n03961711': 130, 'n07768694': 131, 'n07615774': 132, 'n02346627': 133, 'n03995372': 134,
    'n07695742': 135, 'n04004767': 136, 'n04019541': 137, 'n04023962': 138, 'n04026417': 139,
    'n02324045': 140, 'n04039381': 141, 'n01495701': 142, 'n02509815': 143, 'n04070727': 144,
    'n04074963': 145, 'n04116512': 146, 'n04118538': 147, 'n04118776': 148, 'n04131690': 149,
    'n04141076': 150, 'n01770393': 151, 'n04154565': 152, 'n02076196': 153, 'n02411705': 154,
    'n04228054': 155, 'n02445715': 156, 'n01944390': 157, 'n01726692': 158, 'n04252077': 159,
    'n04252225': 160, 'n04254120': 161, 'n04254680': 162, 'n04256520': 163, 'n04270147': 164,
    'n02355227': 165, 'n02317335': 166, 'n04317175': 167, 'n04330267': 168, 'n04332243': 169,
    'n07745940': 170, 'n04336792': 171, 'n04356056': 172, 'n04371430': 173, 'n02395003': 174,
    'n04376876': 175, 'n04379243': 176, 'n04392985': 177, 'n04409515': 178, 'n01776313': 179,
    'n04591157': 180, 'n02129604': 181, 'n04442312': 182, 'n06874185': 183, 'n04468005': 184,
    'n04487394': 185, 'n03110669': 186, 'n01662784': 187, 'n03211117': 188, 'n04509417': 189,
    'n04517823': 190, 'n04536866': 191, 'n04540053': 192, 'n04542943': 193, 'n04554684': 194,
    'n04557648': 195, 'n04530566': 196, 'n02062744': 197, 'n04591713': 198, 'n02391049': 199
}

_validation_blacklist = {
    45: {'n00007846'},
    84: {'n07753275'},
    210: {'n06874185', 'n00007846'},
    542: {'n00007846'},
    1272: {'n00007846'},
    1632: {'n00007846'},
    2041: {'n02958343'},
    2111: {'n00007846'},
    2248: {'n00007846'},
    2315: {'n00007846'},
    2462: {'n03001627'},
    2522: {'n00007846'},
    2802: {'n00007846'},
    2836: {'n00007846'},
    2966: {'n00007846'},
    3118: {'n00007846'},
    3326: {'n03928116', 'n03001627', 'n00007846'},
    3397: {'n00007846'},
    3422: {'n00007846'},
    3516: {'n00007846'},
    3528: {'n00007846'},
    3606: {'n00007846'},
    3724: {'n00007846'},
    3976: {'n00007846'},
    4118: {'n00007846'},
    4179: {'n00007846'},
    4294: {'n00007846'},
    4306: {'n00007846'},
    4652: {'n00007846'},
    4774: {'n00007846'},
    4794: {'n00007846'},
    5212: {'n00007846'},
    5402: {'n00007846'},
    5430: {'n00007846'},
    5524: {'n02958343'},
    5582: {'n00007846'},
    5687: {'n00007846'},
    5917: {'n03001627'},
    6010: {'n00007846'},
    6199: {'n07734744'},
    6281: {'n04591713'},
    6451: {'n00007846'},
    6459: {'n00007846'},
    6470: {'n00007846'},
    6488: {'n00007846'},
    6513: {'n00007846'},
    6517: {'n00007846'},
    6568: {'n00007846'},
    6888: {'n00007846'},
    7114: {'n00007846'},
    7147: {'n03372029', 'n00007846', 'n04487394', 'n03838899', 'n04536866', 'n03110669', 'n03001627'},
    7171: {'n00007846'},
    7294: {'n03445924', 'n00007846'},
    7326: {'n03797390'},
    7565: {'n00007846'},
    7642: {'n00007846'},
    7968: {'n03001627'},
    8020: {'n00007846'},
    8281: {'n02828884'},
    8328: {'n00007846'},
    8342: {'n00007846'},
    8354: {'n07739125', 'n07753592', 'n07768694', 'n07747607'},
    8370: {'n03000684'},
    8608: {'n00007846'},
    8885: {'n03991062'},
    8924: {'n03804744'},
    9139: {'n00007846'},
    9799: {'n02958343'},
    9893: {'n00007846'},
    10036: {'n00007846'},
    10173: {'n00007846'},
    10276: {'n00007846'},
    10416: {'n00007846'},
    10462: {'n00007846'},
    10563: {'n00007846'},
    10620: {'n03001627'},
    10808: {'n00007846'},
    10878: {'n04379243'},
    11066: {'n00007846'},
    11068: {'n00007846'},
    11204: {'n00007846'},
    11343: {'n02828884'},
    11663: {'n00007846'},
    11678: {'n00007846'},
    11762: {'n00007846'},
    11906: {'n00007846'},
    12012: {'n00007846'},
    12033: {'n03124170'},
    12040: {'n00007846'},
    12133: {'n07768694', 'n07753592', 'n03958227', 'n07739125', 'n07720875'},
    12235: {'n02402425'},
    12535: {'n00007846'},
    12598: {'n00007846'},
    12627: {'n03513137'},
    12721: {'n00007846'},
    12739: {'n00007846'},
    12815: {'n00007846'},
    12951: {'n00007846'},
    13057: {'n04509417', 'n00007846'},
    13073: {'n00007846'},
    13087: {'n00007846'},
    13334: {'n00007846'},
    13510: {'n00007846'},
    13729: {'n00007846'},
    13737: {'n00007846'},
    13823: {'n00007846'},
    13830: {'n00007846'},
    13837: {'n00007846'},
    13857: {'n00007846'},
    13891: {'n02828884', 'n03001627'},
    14072: {'n00007846'},
    14201: {'n00007846'},
    14310: {'n00007846'},
    14723: {'n00007846'},
    14783: {'n03001627'},
    14825: {'n00007846'},
    14971: {'n03001627'},
    14999: {'n04116512'},
    15252: {'n04118776'},
    15328: {'n00007846'},
    15389: {'n03001627', 'n00007846'},
    15490: {'n00007846'},
    15538: {'n03636649'},
    15542: {'n04591713'},
    15548: {'n04591713', 'n00007846'},
    15557: {'n04026417'},
    15568: {'n02958343', 'n04468005'},
    15582: {'n00007846'},
    15589: {'n03636649'},
    15598: {'n02828884', 'n02958343', 'n00007846'},
    15601: {'n00007846'},
    15606: {'n02958343'},
    15622: {'n03636649'},
    15623: {'n07734744'},
    15625: {'n00007846'},
    15632: {'n02958343'},
    15694: {'n03636649'},
    15724: {'n02958343'},
    15758: {'n00007846'},
    15769: {'n02958343', 'n03636649'},
    15770: {'n00007846', 'n02084071'},
    15772: {'n02958343'},
    15784: {'n02958343', 'n03636649'},
    15789: {'n00007846'},
    15808: {'n07697100'},
    15811: {'n02924116', 'n00007846'},
    15817: {'n04270147'},
    15818: {'n02958343', 'n02924116'},
    15819: {'n04379243', 'n03001627', 'n04557648'},
    15859: {'n04530566'},
    15867: {'n02958343'},
    15880: {'n02958343'},
    15895: {'n04356056'},
    15900: {'n02958343', 'n03636649'},
    15948: {'n00007846'},
    15954: {'n00007846'},
    15957: {'n03584254'},
    15960: {'n03790512'},
    15999: {'n03128519'},
    16013: {'n02870880', 'n03636649', 'n04379243'},
    16021: {'n02958343', 'n03636649'},
    16032: {'n02958343', 'n03636649', 'n00007846'},
    16039: {'n02834778', 'n00007846'},
    16044: {'n03211117'},
    16047: {'n02444819'},
    16052: {'n02958343', 'n02131653', 'n01503061'},
    16056: {'n01784675'},
    16064: {'n02958343'},
    16092: {'n03001627'},
    16105: {'n02970849'},
    16116: {'n02958343'},
    16153: {'n00007846'},
    16174: {'n00007846'},
    16175: {'n02084071'},
    16197: {'n03636649'},
    16207: {'n03636649', 'n03211117'},
    16234: {'n00007846'},
    16238: {'n02958343'},
    16247: {'n00007846'},
    16253: {'n00007846'},
    16257: {'n03797390'},
    16268: {'n00007846'},
    16270: {'n02924116'},
    16271: {'n04379243', 'n03445924', 'n03001627'},
    16278: {'n03636649', 'n02958343', 'n02769748', 'n06874185', 'n00007846'},
    16287: {'n03001627', 'n03790512'},
    16301: {'n02958343'},
    16306: {'n02346627'},
    16310: {'n03797390'},
    16314: {'n03001627'},
    16318: {'n02374451', 'n00007846'},
    16333: {'n02958343'},
    16337: {'n02958343'},
    16346: {'n03636649'},
    16372: {'n02324045'},
    16379: {'n07734744'},
    16383: {'n02419796', 'n01662784', 'n01503061', 'n02129165', 'n02274259', 'n02503517', 'n02391049'},
    16403: {'n03636649', 'n00007846'},
    16415: {'n03797390'},
    16419: {'n02419796', 'n02411705'},
    16422: {'n03636649'},
    16424: {'n02503517'},
    16440: {'n04392985'},
    16448: {'n03764736'},
    16455: {'n03636649'},
    16479: {'n02958343'},
    16494: {'n03636649'},
    16515: {'n02346627'},
    16519: {'n03991062'},
    16522: {'n02769748'},
    16528: {'n02828884'},
    16533: {'n07873807'},
    16545: {'n02445715', 'n02121808', 'n02084071'},
    16563: {'n02958343', 'n00007846'},
    16575: {'n00007846'},
    16584: {'n00007846'},
    16598: {'n02834778', 'n03790512'},
    16618: {'n03636649'},
    16624: {'n02958343'},
    16631: {'n03636649', 'n00007846'},
    16637: {'n02880940'},
    16643: {'n03636649', 'n02766320'},
    16651: {'n00007846'},
    16653: {'n02958343'},
    16673: {'n03128519', 'n03211117'},
    16683: {'n03797390'},
    16698: {'n03636649'},
    16713: {'n04392985'},
    16724: {'n03636649'},
    16779: {'n03001627'},
    16798: {'n04026417', 'n02769748'},
    16944: {'n07718472'},
    17023: {'n00007846'},
    17202: {'n00007846'},
    17335: {'n03001627'},
    17424: {'n03001627'},
    17624: {'n03001627'},
    17625: {'n00007846'},
    17831: {'n04379243', 'n03001627'},
    17840: {'n02958343'},
    17890: {'n00007846'},
    18121: {'n00007846'},
    18140: {'n00007846', 'n01503061'},
    18158: {'n04487394', 'n00007846', 'n03759954', 'n03110669', 'n03001627'},
    18161: {'n02958343'},
    18170: {'n00007846'},
    18187: {'n04379243'},
    18196: {'n00007846'},
    18201: {'n00007846'},
    18220: {'n03991062'},
    18229: {'n00007846'},
    18242: {'n04530566'},
    18266: {'n04554684'},
    18274: {'n00007846'},
    18279: {'n02374451'},
    18289: {'n03958227'},
    18291: {'n00007846'},
    18305: {'n03958227', 'n03797390'},
    18332: {'n00007846'},
    18333: {'n03495258', 'n00007846'},
    18336: {'n03001627'},
    18407: {'n00007846'},
    18439: {'n03513137'},
    18463: {'n00007846'},
    18499: {'n02958343'},
    18537: {'n03001627', 'n00007846'},
    18541: {'n04554684'},
    18546: {'n04591713'},
    18557: {'n03513137'},
    18636: {'n03124170'},
    18646: {'n02958343'},
    18661: {'n07718472', 'n04379243'},
    18675: {'n03372029', 'n04487394', 'n03838899', 'n04536866', 'n02883205', 'n03110669', 'n04591157', 'n00007846', 'n03249569'},
    18733: {'n00007846'},
    18766: {'n03991062'},
    18798: {'n02828884'},
    18897: {'n00007846'},
    18901: {'n00007846', 'n02121808'},
    18922: {'n03001627'},
    19000: {'n07718472'},
    19045: {'n00007846'},
    19083: {'n03759954', 'n00007846'},
    19094: {'n00007846'},
    19101: {'n00007846'},
    19125: {'n00007846'},
    19189: {'n00007846'},
    19194: {'n00007846'},
    19264: {'n00007846'},
    19291: {'n02958343', 'n00007846'},
    19325: {'n00007846', 'n02129604'},
    19331: {'n00007846'},
    19368: {'n03001627', 'n00007846'},
    19375: {'n00007846'},
    19382: {'n04026417'},
    19417: {'n00007846'},
    19419: {'n00007846'},
    19433: {'n00007846'},
    19435: {'n07718472'},
    19480: {'n02958343'},
    19481: {'n00007846'},
    19502: {'n00007846'},
    19534: {'n00007846'},
    19546: {'n02958343'},
    19601: {'n00007846'},
    19654: {'n00007846'},
    19685: {'n03001627'},
    19698: {'n00007846'},
    19780: {'n07720875'},
    19800: {'n03636649', 'n03001627'},
    19846: {'n00007846'},
    19853: {'n00007846'},
    19907: {'n00007846'},
    19915: {'n07749582', 'n03797390'},
    19921: {'n00007846'},
    20051: {'n03636649', 'n00007846'},
    20079: {'n04141076', 'n00007846'},
    20117: {'n00007846'}
}
